com.singularsys.jep.configurableparser

## Class TernaryOperator.RhsTernaryOperator

- java.lang.Object
- - com.singularsys.jep.Operator
  - - com.singularsys.jep.configurableparser.TernaryOperator.RhsTernaryOperator

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    TernaryOperator

      public class TernaryOperator.RhsTernaryOperator
      extends Operator

  Inner class used to represent the right hand operator.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.Operator

      `ASSOCIATIVE, BINARY, COMMUTATIVE, COMPOSITE, EQUIVALENCE, flags, key, LEFT, name, NARY, NO_ARGS, NOT_IN_PARSER, pfmc, precedence, PREFIX, printSymbol, REFLEXIVE, RIGHT, SELF_INVERSE, SUFFIX, symbol, SYMMETRIC, TERNARY, TRANSITIVE, UNARY, USE_BINDING_FOR_PRINT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TernaryOperator` | `getLhsOp()` Reference to left hand operator

    - ### Methods inherited from class com.singularsys.jep.Operator

      `addAltSymbol, getAltSymbols, getBinaryInverseOp, getBinding, getFlags, getInverseOp, getKey, getName, getPFMC, getPrecedence, getPrintSymbol, getRootOp, getSymbol, isAssociative, isBinary, isCommutative, isComposite, isDistributiveOver, isEquivalence, isLeftBinding, isNary, isPrefix, isReflexive, isRightBinding, isSelfInverse, isSuffix, isSymmetric, isTernary, isTransitive, isUnary, notInParser, numArgs, setBinaryInverseOp, setDistributiveOver, setFlag, setInverseOp, setKey, setPFMC, setPrecedence, setPrintSymbol, setRootOp, setSymbol, toFullString, toString, useBindingForPrint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getLhsOp

          public TernaryOperator getLhsOp()

      Reference to left hand operator
      Returns:
        the outer class

Copyright © 2018 Singular Systems http://www.singularsys.com/jep